Bug 7388 - rounded corners for side menus in staff client
Summary: rounded corners for side menus in staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Liz Rea
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-30 06:35 UTC by Liz Rea
Modified: 2012-10-25 23:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7388 [enh] - round the corners on the side menus in the staff client (1.36 KB, patch)
2011-12-30 06:39 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7388 [enh] - Adding a <div id="menu"> </div> around the acquisitions menu so that it matches the rest of the interface. (1.25 KB, patch)
2011-12-30 06:46 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7388 [enh] - add menu styling to serials (1.40 KB, patch)
2011-12-30 06:53 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7388 [enh] - adding menu div to guided reports screen (1.87 KB, patch)
2011-12-30 07:10 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 7388 [SIGNED-OFF] [enh] - round the corners on the side menus in the staff client (1.55 KB, patch)
2012-01-06 10:00 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2011-12-30 06:35:46 UTC
Those square corners were oh-so-harsh. I want to make them rounded so as to be comfortable.
Comment 1 Liz Rea 2011-12-30 06:39:35 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2011-12-30 06:46:19 UTC Comment hidden (obsolete)
Comment 3 Liz Rea 2011-12-30 06:53:37 UTC Comment hidden (obsolete)
Comment 4 Liz Rea 2011-12-30 07:10:03 UTC Comment hidden (obsolete)
Comment 5 Owen Leonard 2011-12-30 14:02:46 UTC
I disagree with the addition of the styling of the acquisitions, serials, and reports menu. The style of the sidebar tabs on patron-related screens and title-related screens is linked to the kind of menu options they present. Those menu options are for different ways you can view one thing: a patron or a bibliographic record. You can view that patron's details, fines, circ history, etc (checkouts is kind of cheating). You can view a title's normal view, marc view, items, etc.

This isn't true for acquisitions, for instance, where the menu options are for doing different tasks.

I'm not opposed to improving the style of those menus, but I'd prefer to introduce a new standard which doesn't muddy the distinct purpose of the existing "view menus."

No objections here to the rounded corners though.
Comment 6 Liz Rea 2012-01-01 03:03:47 UTC
just for the sake of argument - I wonder if people really "get" the distinction you are making. I never thought of those things as "views," I thought of them as "other stuff you can do while in this particular area of Koha." That's probably fundamentally different from how you think about it.

I'm willing to concede the last 3 patches based on your judgement, however I'm not sure I *entirely* agree with you - I'm unable to conceive of a better way to deal with those menus - they seem inconsistent to me and the most obvious way to satisfy my own compulsion for consistency was to add the menu styling to them.

They don't seem suited to buttons, links don't seem attention-getting enough, the horizontal menus are being used for other functions. I'm at a bit at a loss.


Also, for anyone testing, please feel free to go ahead and test/sign off the 1st patch of this series - it's trivial and uncontroversial (or at least I think it should be uncontroversial). ;)
Comment 7 Magnus Enger 2012-01-06 10:00:31 UTC
Created attachment 7063 [details] [review]
Bug 7388 [SIGNED-OFF] [enh] - round the corners on the side menus in the staff client

To test:
apply patch
check menus on circulation and bib detail page - corners on the menus to the left should be rounded.

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Those rounded corners do look more friendly. I have tested circulation and bib detail page and
have found no ill side effects.
Comment 8 Magnus Enger 2012-01-06 10:03:59 UTC
I have tested and signed off on the first patch, the one called "round the corners on the side menus in the staff client". I'm changing the status to "Signed Off", but if that patch gets pushed the status should be reset to "Needs signoff" for the remaining patches. Or maybe those batches could be moved to one or more separate bugs?
Comment 9 Magnus Enger 2012-01-06 10:05:06 UTC
So just to be completely clear: attachment 7063 [details] [review] is the only one I have signed off, pending further discussion of the other patches.
Comment 10 Paul Poulain 2012-01-17 15:14:37 UTC
discussion started by owen in comment 5
Comment 11 Liz Rea 2012-01-17 16:18:19 UTC
This is not in discussion - the rounded corners are signed off and ready for QA.
Comment 12 Paul Poulain 2012-01-17 16:58:03 UTC
QA comment: tiny patch, nothing to say